Package org.oasis_open.docs.ws_calendar.ns.soap

# Class MultistatusType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType
org.oasis_open.docs.ws_calendar.ns.soap.MultistatusType

Direct Known Subclasses:
  `CalendarQueryResponseType`

public class MultistatusType extends BaseResponseType
Contains multiple MultistatResponseElementType

Java class for MultistatusType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MultistatusType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseResponseType">
           <sequence>
             <element name="response" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}MultistatResponseElementType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<MultistatResponseElementType>`
  `response`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `errorResponse, id, message, status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultistatusType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<MultistatResponseElementType>`
  `getResponse()`
  Gets the value of the response property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `getErrorResponse, getId, getMessage, getStatus, setErrorResponse, setId, setMessage, setStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### response

    protected List<MultistatResponseElementType> response

- ## Constructor Details

  - ### MultistatusType

    public MultistatusType()

- ## Method Details

  - ### getResponse

    public List<MultistatResponseElementType> getResponse()
    Gets the value of the response property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the response property.

    For example, to add a new item, do as follows:

            getResponse().add(newItem);

    Objects of the following type(s) are allowed in the list `MultistatResponseElementType`